'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var reactTreeWalker = _interopDefault(require('react-tree-walker'));

var warnmsg = 'Deprecation notice: you are using the deprecated "asyncBootsrap" for "react-async-bootstrapper", please rename these to "bootstrap"';

function asyncBootstrapper(app, options) {
  var context = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  var visitor = function visitor(element, instance) {
    if (instance && (typeof instance.asyncBootstrap === 'function' || typeof instance.bootstrap === 'function')) {
      return typeof instance.bootstrap === 'function' ? instance.bootstrap() : console.log(warnmsg) || instance.asyncBootstrap();
    }
  };

  return reactTreeWalker(app, visitor, context, options);
}

module.exports = asyncBootstrapper;
//# sourceMappingURL=react-async-bootstrapper.js.map
